Summary:	Untrusted/encrypted backup using rsync algorithm
Version:	0.7.07.1
Name:		duplicity
Release:	%mkrel 1
License:	GPLv2
Group:		Archiving/Backup
URL:		http://www.nongnu.org/duplicity/
Source0:	http://download.savannah.gnu.org/releases/duplicity/%{name}-%{version}.tar.xz
Patch0:		patch-64bits.patch
BuildRequires: %{_lib}rsync-devel
BuildRequires: python-devel
BuildRequires: python-setuptools
Requires: gnupg
Requires: ncftp
Requires: openssh-clients
Requires: python-boto
Requires: python-gdata
Requires: python-GnuPG-Interface
Requires: python-lockfile
Requires: rsync
Requires: python-gobject3
Requires: %{_lib}rsync1
Requires:   python-paramiko

%description
Duplicity incrementally backs up files and directory by encrypting tar-format
volumes with GnuPG and uploading them to a remote (or local) file server. In
theory many remote backends are possible; right now local, ssh/scp, ftp, and
rsync backends are written. Because duplicity uses librsync, the incremental
archives are space efficient and only record the parts of files that have
changed since the last backup.  Currently duplicity supports deleted files,
full unix permissions, directories, symbolic links, fifos, etc., but not hard
links.

%prep

%setup -q
%patch0 -p0

%build
%py2_build

%install
rm -rf %buildroot
%py2_install


#handle docs in files section
rm -Rf %{buildroot}%{_docdir}

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%{_mandir}/man1/%{name}*
%{_mandir}/man1/rdiffdir*
%{_bindir}/rdiffdir
%{_bindir}/duplicity
%{python2_sitearch}/duplicity/
%{python2_sitearch}/*.egg-info


%changelog
* Wed Oct 26 2016 bb <bb> 0.7.07.1-1pclos2016
- update

* Sun Jan 25 2015 bb <bb> 0.6.25-2pclos2015
- add req python-paramiko

* Sat Nov 29 2014 pinoc <vogtpet at gmail.com> 0.6.25-1pclos2014
- 0.6.25


